Update a draft report
Scope: reports:create
Edits a report in DRAFT. Nothing is billed and no check runs until
the draft is launched.
Use Authorization: Bearer vrf_live_... or vrf_test_....
In: header
Path Parameters
Report identifier.
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/reports/497f6eca-6276-4993-bfeb-53cbbbba6f08/draft" \ -H "Content-Type: application/json" \ -d '{ "subject": { "subjectType": "INDIVIDUAL", "fullName": "Jane Wanjiku Doe" }, "checksRequested": [ "IDENTITY" ] }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "status": "DRAFT", "subject": { "subjectType": "INDIVIDUAL", "fullName": "Jane Wanjiku Doe", "firstName": "string", "middleName": "string", "lastName": "string", "idNumber": "36901234", "registrationNumber": "PVT-7XUQ8KL", "email": "user@example.com", "phone": "+254712345678", "dateOfBirth": "2019-08-24", "country": "KE" }, "checksRequested": [ "IDENTITY" ], "checkResults": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "checkName": "IDENTITY", "status": "PENDING", "summary": "string", "riskLevel": "LOW", "score": 0, "evidence": {}, "completedAt": "2019-08-24T14:15:22Z" } ], "riskScore": 0, "riskLevel": "LOW", "consentState": { "status": "NOT_REQUIRED", "consentUrl": "http://example.com", "expiresAt": "2019-08-24T14:15:22Z" }, "paymentState": { "status": "NOT_REQUIRED", "amount": { "amount": 0.1, "currency": "KES" }, "paidAt": "2019-08-24T14:15:22Z" }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}